/*<outscirt><version>20170107</version></outscirt>*/
function O__equalizer(O__targetIDs,O__targetPlane,O__targetBreakPoint){
	
	if (window.innerWidth){
		var O__screenWidth = window.innerWidth;	
	} else {
		var O__screenWidth  = document.body.offsetWidth;
	}

	if (O__screenWidth>=O__targetBreakPoint){ // for larger screens
		var O__targets = O__targetIDs.split(",");
		var O__maxLength = new Array();
			O__maxLength.length = 0; // reset
		
		// get all length values
		for (i=0; i < O__targets.length; i++){
			if (O__targetPlane == "x"){
				O__maxLength[i] = parseFloat(document.getElementById(O__targets[i]).offsetWidth);
			} else {
				O__maxLength[i] = parseFloat(document.getElementById(O__targets[i]).offsetHeight);
			}
		}
		
		// sort all length values
		function O__numCheck(y,z){return z-y;}
		O__maxLength.sort(O__numCheck);

		// set all lengths to the longest
		for (i=0; i < O__targets.length; i++){ 
			if (O__targetPlane == "x"){
				document.getElementById(O__targets[i]).style.width = O__maxLength[0] + "px";
			} else {
				document.getElementById(O__targets[i]).style.height = O__maxLength[0] + "px";
			}
		}
	}
}
